/*
 * Cam_twi.c
 *
 *  Created on: 03.06.2014
 *      Author: FarwickT
 */
#include "drivers/twi/adi_twi.h"


uint8_t twiDevMem[ADI_TWI_MEMORY_SIZE];
ADI_TWI_HANDLE hTWIDevice;
uint8_t TWILocalBuf[3];
void waitfunc(uint8_t cnt);

void Twi_init_Cam(void)
{


	adi_twi_Open(0,ADI_TWI_MASTER,twiDevMem, ADI_TWI_MEMORY_SIZE, &hTWIDevice);
	adi_twi_SetPrescale(hTWIDevice, 8u);
	adi_twi_SetBitRate(hTWIDevice, 100u);
	adi_twi_SetDutyCycle(hTWIDevice, 50u);
	adi_twi_SetBitRate(hTWIDevice, 100u);
	adi_twi_SetHardwareAddress(hTWIDevice, 0x5c);


//	TWILocalBuf[0]=0x72;	//LV und FV xor und durchgehend
//	TWILocalBuf[1]= 0x00;
//	TWILocalBuf[2]= 0x0C;//0x04 | 0x08;
//	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);

//	waitfunc(100);
//
//	TWILocalBuf[0]=0x03;	//windowfunktion high
//	TWILocalBuf[1]= 0x00;
//	TWILocalBuf[2]= 0xF0;
//	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);
//
//	waitfunc(100);
//
//	TWILocalBuf[0]=0x04;	//windowfunktion width
//	TWILocalBuf[1]= 0x01;
//	TWILocalBuf[2]= 0x78;
//	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);


	TWILocalBuf[0]=0x0A;	//Auto Knee exposure
	TWILocalBuf[1]= 0x00;
	TWILocalBuf[2]= 0x64;
	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);

	waitfunc(100);

	TWILocalBuf[0]=0xAFu;	//AEC und AGC
	TWILocalBuf[1]= 0x00;
	TWILocalBuf[2]= 0x0u;
	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);

	waitfunc(100);

	TWILocalBuf[0]=0x0Bu;	//Total Integration Time
	TWILocalBuf[1]= 0x01;
	TWILocalBuf[2]= 0xBAu;
	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);

	waitfunc(100);

	TWILocalBuf[0]=0x07;	//snapshot
	TWILocalBuf[1]= 0x03;
	TWILocalBuf[2]= 0x98;
	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);

	waitfunc(100);

//	TWILocalBuf[0]=0x05;	//Adjust horizontal blanking
//	TWILocalBuf[1]= 0x00;
//	TWILocalBuf[2]= 0x5C; //92 -> Line = 844
//	adi_twi_Write(hTWIDevice, TWILocalBuf, 3u, false);

	adi_twi_Close(hTWIDevice);


}

void waitfunc(uint8_t cnt)
{
	for(int i=0; i<cnt;i++)
	{
		asm("nop;");
	}
}

