/*
 * ppi.c
 *
 *  Created on: 03.06.2014
 *      Author: FarwickT
 */

#include <cdefBF609.h>
#include <defBF609.h>
#include "services/int/adi_int.h"
#include <stddef.h>



#define AUTOBUFFERMODE 0x1000

static void EPPI_Error_handling(uint32_t iid, void *pCBParam);

static uint16_t *EppiFramebuff0, *EppiFramebuff1;


void PPI_init(uint16_t *FrameBuf0, uint16_t *FrameBuf1)
{
	EppiFramebuff0 = FrameBuf0;
	EppiFramebuff1 = FrameBuf1;

	//adi_int_InstallHandler(106u, EPPI_Error_handling, NULL, true);


	*pREG_EPPI1_LINE = 846;
	*pREG_EPPI1_HCNT = 752;
	*pREG_EPPI1_HDLY = 0;
	*pREG_EPPI1_FRAME = 480;//525;
	*pREG_EPPI1_VCNT = 480;
	*pREG_EPPI1_VDLY = 0;

	*pREG_EPPI1_CTL2 = ENUM_EPPI_CTL2_FS2FIN_EN;

	*pREG_EPPI1_CTL = ENUM_EPPI_CTL_DLEN08 | ENUM_EPPI_CTL_FS1HI_FS2HI | ENUM_EPPI_CTL_POLC11 | ENUM_EPPI_CTL_PROGRESSIVE | ENUM_EPPI_CTL_SYNC2 | ENUM_EPPI_CTL_NON656 | ENUM_EPPI_CTL_PACK_EN;

	*pREG_EPPI1_CTL |= ENUM_EPPI_CTL_EN;
	asm("ssync;");



}

#pragma section ("L1_code")
static void EPPI_Error_handling(uint32_t iid, void *pCBParam)
{
//	*pREG_EPPI1_STAT |=  ENUM_EPPI_STAT_FTERROVR;
//	*pREG_EPPI1_STAT |=  ENUM_EPPI_STAT_LTERROVR;
	asm("nop;");
}

