/*
 **
 ** pinmux_config.c source file generated on Juni 11, 2014 at 11:55:19.	
 **
 ** Copyright (C) 2000-2014 Analog Devices Inc., All Rights Reserved.
 **
 ** This file is generated automatically based upon the options selected in 
 ** the Pin Multiplexing configuration editor. Changes to the Pin Multiplexing
 ** configuration should be made by changing the appropriate options rather
 ** than editing this file.
 **
 ** Selected Peripherals
 ** --------------------
 ** EPPI1 (D00, D01, D02, D03, D04, D05, D06, D07, CLK, FS1, FS2)
 **
 ** GPIO (unavailable)
 ** ------------------
 ** PB13, PB14, PC00, PC01, PC02, PC03, PC04, PC05, PC06, PC07, PD06
 */

#include <sys/platform.h>
#include <stdint.h>

#define EPPI1_D00_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<0))
#define EPPI1_D01_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<2))
#define EPPI1_D02_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<4))
#define EPPI1_D03_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<6))
#define EPPI1_D04_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<8))
#define EPPI1_D05_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<10))
#define EPPI1_D06_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<12))
#define EPPI1_D07_PORTC_MUX  ((uint16_t) ((uint16_t) 1<<14))
#define EPPI1_CLK_PORTB_MUX  ((uint32_t) ((uint32_t) 1<<28))
#define EPPI1_FS1_PORTB_MUX  ((uint32_t) ((uint32_t) 1<<26))
#define EPPI1_FS2_PORTD_MUX  ((uint16_t) ((uint16_t) 1<<12))

#define EPPI1_D00_PORTC_FER  ((uint16_t) ((uint16_t) 1<<0))
#define EPPI1_D01_PORTC_FER  ((uint16_t) ((uint16_t) 1<<1))
#define EPPI1_D02_PORTC_FER  ((uint16_t) ((uint16_t) 1<<2))
#define EPPI1_D03_PORTC_FER  ((uint16_t) ((uint16_t) 1<<3))
#define EPPI1_D04_PORTC_FER  ((uint16_t) ((uint16_t) 1<<4))
#define EPPI1_D05_PORTC_FER  ((uint16_t) ((uint16_t) 1<<5))
#define EPPI1_D06_PORTC_FER  ((uint16_t) ((uint16_t) 1<<6))
#define EPPI1_D07_PORTC_FER  ((uint16_t) ((uint16_t) 1<<7))
#define EPPI1_CLK_PORTB_FER  ((uint32_t) ((uint32_t) 1<<14))
#define EPPI1_FS1_PORTB_FER  ((uint32_t) ((uint32_t) 1<<13))
#define EPPI1_FS2_PORTD_FER  ((uint16_t) ((uint16_t) 1<<6))

int32_t adi_initpinmux(void);

/*
 * Initialize the Port Control MUX and FER Registers
 */
int32_t adi_initpinmux(void) {
    /* PORTx_MUX registers */
    *pREG_PORTB_MUX = EPPI1_CLK_PORTB_MUX | EPPI1_FS1_PORTB_MUX;
    *pREG_PORTC_MUX = EPPI1_D00_PORTC_MUX | EPPI1_D01_PORTC_MUX
     | EPPI1_D02_PORTC_MUX | EPPI1_D03_PORTC_MUX | EPPI1_D04_PORTC_MUX
     | EPPI1_D05_PORTC_MUX | EPPI1_D06_PORTC_MUX | EPPI1_D07_PORTC_MUX;
    *pREG_PORTD_MUX = EPPI1_FS2_PORTD_MUX;

    /* PORTx_FER registers */
    *pREG_PORTB_FER = EPPI1_CLK_PORTB_FER | EPPI1_FS1_PORTB_FER;
    *pREG_PORTC_FER = EPPI1_D00_PORTC_FER | EPPI1_D01_PORTC_FER
     | EPPI1_D02_PORTC_FER | EPPI1_D03_PORTC_FER | EPPI1_D04_PORTC_FER
     | EPPI1_D05_PORTC_FER | EPPI1_D06_PORTC_FER | EPPI1_D07_PORTC_FER;
    *pREG_PORTD_FER = EPPI1_FS2_PORTD_FER;
    return 0;
}

