/*
**
** pvp_programmer.h header file generated on Juni 12, 2014 at 13:57:53.
**
** Copyright (C) 2000-2014 Analog Devices Inc., All Rights Reserved.
**
** This file is generated automatically based upon the options selected in the PVP Programmer
** configuration editor. Changes to the PVP Programmer configuration should be made
** by changing the appropriate options rather than editing this file.
**
** For descriptions of each parameter, please refer to the PVP Programmer Help.
**
*/

#include <stdio.h>
#include <builtins.h>
#include <drivers/pvp/adi_pvp.h>

#ifndef __PVP_PROGRAMMER_H__
#define __PVP_PROGRAMMER_H__

/*
************************************************************************
*                      GLOBAL FUNCTION DECLARATIONS
************************************************************************
*/

/* Create a configuration block that initializes the PVP according to the cannycamera diagram */
ADI_PVP_RESULT PvpCreatecannycameraConfig(ADI_PVP_PIPE_HANDLE hPipe);

/* Return the handle for the cannycamera configuration for use in calls to the lower level PVP driver API */
ADI_PVP_CONFIG_HANDLE PvpGetcannycameraConfigHandle(void);



#endif /* __PVP_PROGRAMMER_H__ */

